/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../styles/plateg-variables.less';
@focus-border: 2px solid @platform-blue1;
.navbar-component {
  z-index: 3;
  .ant-menu-submenu-title {
    line-height: 20px !important;
    width: 100%;
    border-radius: 0;
  }
  .with-auslassungen {
    .ant-menu-submenu {
      overflow: hidden;
    }
    .ant-menu-submenu-title > span {
      text-overflow: ellipsis;
      white-space: nowrap;
      overflow: hidden;
    }
    .ant-menu-title-content {
      white-space: nowrap;
    }
  }
  border: 2px solid transparent;
  &.ant-layout-sider-collapsed {
    .ant-layout-sider-trigger {
      width: 34px !important;
    }
  }
  &:not(.ant-layout-sider-collapsed) {
    .ant-layout-sider-trigger {
      width: 278px !important;
    }
  }
  &:focus-within {
    border: @focus-border;
    border-bottom: none;
    .ant-layout-sider-trigger {
      border-right: @focus-border;
      border-bottom: @focus-border;
      #collapseButton {
        margin-right: 8px;
      }
    }
  }
}
